<!-- manual page source format generated by PolyglotMan v3.0.7, -->
<!-- available via anonymous ftp from ftp.cs.berkeley.edu:/ucb/people/phelps/tcltk/rman.tar.Z -->

<HTML>
<HEAD>
<TITLE>Man page for file_stall.1</TITLE>
</HEAD>
<BODY bgcolor=white>
<A HREF="#toc">Table of Contents</A><P>

<H2><A NAME="sect0" HREF="#toc0">Name</A></H2>

<P>
file_stall - wait for a file to appear

<H2><A NAME="sect1" HREF="#toc1"><B>Synopsis</B></A></H2>

<P>
<B>file_stall</B> { <I>flag</I> } * <I>filename</I>

<H2><A NAME="sect2" HREF="#toc2"><B>Description</B></A></H2>

<P>
This little utility is used by the SUIF makefile system to
synchronize multiple nightly recompile runs using the same
$SUIFHOME/src tree.
<P>
If <I>filename</I> already exists, there is no effect and
<B>file_stall</B> exits immediately. Otherwise, it waits until
<I>filename</I> appears and then exits. Either way, it returns a
successful return code. It also prints a line to standard
output reporting its results -- whether or not it had to
wait and if it did wait, how long it did so.

<H2><A NAME="sect3" HREF="#toc3"><B>Options</B></A></H2>

<P>
<B>-name</B> <I>name</I><BR>

This says to use <I>name</I> in the output message. By
default, the output message refers to <I>filename.</I>

<DL>

<DT><B>-silent</B></DT></DT>
<DD>
This option causes the output message to be suppressed
is there is no stall. If there is a wait,
the output message is printed as usual.
</DD>

<DT><B>--</B> </DT></DT>
<DD>    This flag means ``end of options'' so subsequent
arguments are not taken as flags, even if they
begin with ``-''.
</DD>
</DL>

<H2><A NAME="sect4" HREF="#toc4"><B>History</B></A></H2>

<P>
This program was written by Chris Wilson.
<P>

<HR><P>
<A NAME="toc"><B>Table of Contents</B></A><P>
<UL>
<LI><A NAME="toc0" HREF="#sect0">Name</A></LI>
<LI><A NAME="toc1" HREF="#sect1">Synopsis</A></LI>
<LI><A NAME="toc2" HREF="#sect2">Description</A></LI>
<LI><A NAME="toc3" HREF="#sect3">Options</A></LI>
<LI><A NAME="toc4" HREF="#sect4">History</A></LI>
</UL>
</BODY></HTML>
